### Method

# SpiceClientGLib QmpPort query_status_finish

since: 0.36

#### Declaration [src]

    SpiceQmpStatus*
    spice_qmp_port_query_status_finish (
      SpiceQmpPort* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish the asynchronous status query.

Available since: 0.36

#### Parameters

`result`

  Type: `GAsyncResult`

  The async `GAsyncResult` result.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SpiceQmpStatus`

The `SpiceQmpStatus` result or `NULL`, in which case `error` will be set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.